2.0 – Sobre la obsolecencia programada y las actualizaciones

Anoche platicaba con Alex sobre el software y hardware. Y sí, pensándolo bien, desde que empecé a usar computadoras, por allá del 92, nunca pasa un día sin que salga un parche y nunca pasa un año sin que algo se haga obsoleto porque se les da la gana, aunque funcione.

El hardware ya no es suficiente, el sistema operativo no lo soporta, ergo todo es una espiral de obsolecencia programada, justificaciones para crear consumo recurrente, además de una suerte de programación apurada, tiempos de entrega y una retahila de versiones y soportes no compatibles.

Es cansado, el teléfono me avisa que hay actualizaciones que arruinan mis aplicaciones a menos que cambie al nuevo modelo con 100 procesadores y 100 nucleos mi máquina me dice que debo actualzar el SO y mi programa de edición de video ya no funciona porque no lo soporta la versión nueva del SO, claro la nueva versión del reproductor de mp3 me borra mis listas cuando quiere y no soporta la versión anterior del software para correr y avisarle a todo el mundo que corro y la nueva versión de x red social necesita que actualice mi navegador.

A un cliente la actualización de su software de monitoreo le arruinó la base de datos y no corre bien porque necesita un servidor a 64b y el kernel debe ser la versión 2.31.23..654 y no la 2.31.23..656 ya que la 656 requiere procesadores a 4 núcleos y un parche en el servidor WEB para que pueda usar memoria arriba de 12 GiB porque cuando lo hicieron no pensaron en servidores de más de 12 GiB.

Garbage sacó su versión 2.0 y a partir de ahí valió gorro, sólo han sacado parches a su versión 2.0, esperen, me estoy yendo por otro lado… mejor voy pagar mis cuentas … esperen la versión nueva del portal de mi banco ha cambiado y necesito regresar a la versión anterior del navegador, pero los parches de seguridad no me dejan.

Guillermo Eduardo MS. 2012

Anuncios